#!/bin/bash
INSTALLPATH=/opt/quake2
ROGUEPATH=$INSTALLPATH/rogue

if [ ! `id -u` -eq 0 ]; then
  echo "This script must be run as root. Use either su or sudo to get root permissions."
  exit 1
fi

echo "Type the mount point of the Quake 2 Ground Zero CDROM"
read QUAKECD

mkdir $ROGUEPATH
chmod 755 $ROGUEPATH
cp $QUAKECD/Data/all/pak0.pak $ROGUEPATH
if [ ! $? -eq 0 ]; then
  echo "Failed to copy main game file. This is required, stopping install here"
  exit 2
fi
chmod 644 $ROGUEPATH/pak0.pak

cp -r $QUAKECD/Data/max/Rogue/video $ROGUEPATH
if [ ! $? -eq 0 ]; then
  echo "Failed to copy game files. This is required, stopping install here"
  exit 3
fi
chmod 755 $ROGUEPATH/video
chmod 644 $ROGUEPATH/video/*

